Bug 1497602 - Assorted bundle fixes [rhel-7.4.z]
Summary: Assorted bundle fixes [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker
Version: 7.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 7.4
Assignee: Ken Gaillot
QA Contact: Marian Krcmarik
URL:
Whiteboard:
Depends On: 1489728
Blocks: 1475404
TreeView+ depends on / blocked
 
Reported: 2017-10-02 06:57 UTC by Oneata Mircea Teodor
Modified: 2018-02-08 20:56 UTC (History)
12 users (show)

Fixed In Version: pacemaker-1.1.16-12.el7_4.4
Doc Type: Bug Fix
Doc Text:
Previously, Pacemaker's bundle implementation was not applied correctly. As a consequence, multiple errors occurred. When using bundles, a bundle was not running on a Pacemaker remote node. Resource agents that required clone notifications were not running properly inside a bundle. When running inside a bundle, resource agents were not able to know whether node attributes could be set on the bundle node or on their underlying host. Also, colocation constraints involving bundles did not work properly. This bug has been fixed, and the mentioned capabilities now work as expected.
Clone Of: 1489728
Environment:
Last Closed: 2017-10-19 15:16:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2947 normal SHIPPED_LIVE pacemaker bug fix update 2017-10-19 18:51:13 UTC
Red Hat Knowledge Base (Solution) 3255551 None None None 2018-02-08 20:56:11 UTC

Description Oneata Mircea Teodor 2017-10-02 06:57:13 UTC
This bug has been copied from bug #1489728 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Ken Gaillot 2017-10-02 19:45:52 UTC
QA: For test procedure, contact Michele Baldessari <michele@redhat.com>.

Comment 7 errata-xmlrpc 2017-10-19 15:16:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2947


Note You need to log in before you can comment on or make changes to this bug.